const WATER_INDEX = 1.3499  # Used in aanet
const INDEX_OF_REFRACTION_WATER = 1.3800851282  # Used in Jpp (e.g. in PDFs)
const DN_DL = 0.0298
const COS_CHERENKOV = 1 / WATER_INDEX
const CHERENKOV_ANGLE_RAD = acos(COS_CHERENKOV)
const SIN_CHERENKOV = sin(CHERENKOV_ANGLE_RAD)
const TAN_CHERENKOV = tan(CHERENKOV_ANGLE_RAD)
const C_LIGHT = 299792458e-9  # m/ns
const V_LIGHT_WATER = C_LIGHT / (WATER_INDEX + DN_DL)
const C_WATER = C_LIGHT / INDEX_OF_REFRACTION_WATER
const c = 2.99792458e8  # m/s


const KM3NET_AMBIENT_PRESSURE = 240.0  # [Atm]
const ANTARES_AMBIENT_PRESSURE = 240.0  # [Atm]
const KM3NET_PHOTOCATHODE_AREA = 45.4e-4  # [m^2]
const ANTARES_PHOTOCATHODE_AREA = 440e-4  # [m^2]
